# FoundationClasses
TKernel
Units

# Units_ShiftedToken Class Reference

The ShiftedToken class inherits from Token and
describes tokens which have a gap in addition of
the multiplicative factor. This kind of token
allows the description of linear functions which
do not pass through the origin, of the form :
y = ax +b
where <x> and <y> are the unknown variables,
the mutiplicative factor, and the gap relative
to the ordinate axis.
An example is the tranlation between the Celsius
and Fahrenheit degree of temperature.
.

`#include <Units_ShiftedToken.hxx>`

Inheritance diagram for Units_ShiftedToken:

[legend]

## Public Member Functions

Standard_EXPORT | Units_ShiftedToken (const Standard_CString aword, const Standard_CString amean, const Standard_Real avalue, const Standard_Real amove, const Handle(Units_Dimensions)&adimensions)
| Creates and returns a shifted token. <aword> is a string containing the available word, <amean> gives the signification of the token, <avalue> is the numeric value of the dimension, <amove> is the gap, and <adimensions> is the dimension of the given word <aword>. .
virtual Standard_EXPORT Handle_Units_Token | Creates () const
| Creates and returns a token, which is a ShiftedToken. .
Standard_EXPORT Standard_Real | Move () const
| Returns the gap <themove> .
virtual Standard_EXPORT Standard_Real | Multiplied (const Standard_Real avalue) const
| This virtual method is called by the Measurement methods, to compute the measurement during a conversion. .
virtual Standard_EXPORT Standard_Real | Divided (const Standard_Real avalue) const
| This virtual method is called by the Measurement methods, to compute the measurement during a conversion. .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Token .
| ~Units_ShiftedToken ()
virtual Standard_EXPORT void | Dump (const Standard_Integer ashift, const Standard_Integer alevel) const
| Useful for debugging .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | themove

## Constructor & Destructor Documentation

Standard_EXPORT Units_ShiftedToken::Units_ShiftedToken | ( | const Standard_CString | aword,
|  | const Standard_CString | amean,
|  | const Standard_Real | avalue,
|  | const Standard_Real | amove,
|  | const Handle(Units_Dimensions)& | adimensions
| ) |

Units_ShiftedToken::~Units_ShiftedToken | ( |  | ) | `[inline]`

## Member Function Documentation

virtual Standard_EXPORT Handle_Units_Token Units_ShiftedToken::Creates | ( |  | ) | const`[virtual]`

| Reimplemented from Units_Token.

virtual Standard_EXPORT void Units_ShiftedToken::Destroy | ( |  | ) | `[virtual]`

| Reimplemented from Units_Token.

virtual Standard_EXPORT Standard_Real Units_ShiftedToken::Divided | ( | const Standard_Real | avalue | ) | const`[virtual]`

| Reimplemented from Units_Token.

virtual Standard_EXPORT void Units_ShiftedToken::Dump | ( | const Standard_Integer | ashift,
|  | const Standard_Integer | alevel
| ) | const`[virtual]`

| Reimplemented from Units_Token.

Standard_EXPORT const Units_ShiftedToken::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Units_Token.

Standard_EXPORT Standard_Real Units_ShiftedToken::Move | ( |  | ) | const

virtual Standard_EXPORT Standard_Real Units_ShiftedToken::Multiplied | ( | const Standard_Real | avalue | ) | const`[virtual]`

| Reimplemented from Units_Token.

## Field Documentation

Standard_Real Units_ShiftedToken::themove `[private]`

The documentation for this class was generated from the following file:

- Units_ShiftedToken.hxx